Subject: bug#32575: [Cuirass] Filter results by architecture

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 30 Aug 2018 11:41:35 +0200

Hi Ricardo,

On Wed, 29 Aug 2018 15:54:47 +0200
Ricardo Wurmus <[email-masked]> wrote:

> The Cuirass web interface shows the number of successful, failed, and
> pending builds for each evaluation.  Looking at just these numbers it is
> impossible to tell, how each of the supported architectures is affected.
> 
> It would be good if we could separate the view by architecture.  Then we
> could more easily determine that a change broke many builds for one
> architecture while fixing builds on another.
> 
> One way to do this would be to accept an optional query variable, e.g.
> 
>     http://ci.guix.info/jobset/guix-master?system=x86_64-linux
> 
> This could be selected from a drop-down on the page or exposed through a
> number of links.

I agree.

Also, in the Javascript frontend I had a list of architecture links for each package.

The filter could be applied to show only a given set of architectures.

I think that for a portable package, the architecture it runs on is
an implementation detail - it should build on all of them.  If it doesn't,
that should show up as an error.

So I had

  hello      [x86_64-checkbox-log] [armhf-checkbox-log] [aarch64-checkbox-log]

and not

  hello.x86_64 [checkbox-log]
  hello.armhf [checkbox-log]
  hello.aarch64 [checkbox-log]

The latter looks more like these are different packages with different purposes -
which they really aren't from a user standpoint.